OffsetAttributeImpl (Lucene 3.6.2 API)
Keywords: org.apache.lucene.analysis.tokenattributes.OffsetAttributeImpl class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.analysis.tokenattributes
Class OffsetAttributeImpl

    java.lang.Object
      org.apache.lucene.util.AttributeImpl
          org.apache.lucene.analysis.tokenattributes.OffsetAttributeImpl

All Implemented Interfaces:
  Serializable, Cloneable, OffsetAttribute, Attribute

    public class OffsetAttributeImpl

extends AttributeImpl
implements OffsetAttribute, Cloneable, Serializable

The start and end character offset of a Token.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.lucene.util.AttributeImpl
`enableBackwards`

Constructor Summary
`OffsetAttributeImpl()`

Method Summary
`void` | `clear()` Clears the values in this AttributeImpl and resets it to its default value.
`void` | `copyTo(AttributeImpl target)` Copies the values from this Attribute into the passed-in target attribute.
`int` | `endOffset()` Returns this Token's ending offset, one greater than the position of the last character corresponding to this token in the source text.
`boolean` | `equals(Object other)`
`int` | `hashCode()`
`void` | `setOffset(int startOffset, int endOffset)` Set the starting and ending offset.
`int` | `startOffset()` Returns this Token's starting offset, the position of the first character corresponding to this token in the source text.

Methods inherited from class org.apache.lucene.util.AttributeImpl
`clone, reflectAsString, reflectWith, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OffsetAttributeImpl

    public OffsetAttributeImpl()

Method Detail

### startOffset

    public int startOffset()

  Returns this Token's starting offset, the position of the first character corresponding to this token in the source text. Note that the difference between endOffset() and startOffset() may not be equal to termText.length(), as the term text may have been altered by a stemmer or some other filter.

  Specified by:
    `startOffset` in interface `OffsetAttribute`

### setOffset

    public void setOffset(int startOffset,
                          int endOffset)

  Set the starting and ending offset.

  Specified by:
    `setOffset` in interface `OffsetAttribute`
  See Also:
    `and #endOffset()`

### endOffset

    public int endOffset()

  Returns this Token's ending offset, one greater than the position of the last character corresponding to this token in the source text. The length of the token in the source text is (endOffset - startOffset).

  Specified by:
    `endOffset` in interface `OffsetAttribute`

### clear

    public void clear()

  Description copied from class: `AttributeImpl`
  Clears the values in this AttributeImpl and resets it to its default value. If this implementation implements more than one Attribute interface it clears all.

  Specified by:
    `clear` in class `AttributeImpl`

### equals

    public boolean equals(Object other)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### copyTo

    public void copyTo(AttributeImpl target)

  Description copied from class: `AttributeImpl`
  Copies the values from this Attribute into the passed-in target attribute. The target implementation must support all the Attributes this implementation supports.

  Specified by:
    `copyTo` in class `AttributeImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD